# QUuid Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QUuid()
- void QUuid(QByteArray arg__1)
- void QUuid(String arg__1)
- void QUuid(uint l, ushort w1, ushort w2, uchar b1, uchar b2, uchar b3, uchar b4, uchar b5, uchar b6, uchar b7, uchar b8)

### Constructor Properties

- prototype: The QUuid prototype object
- QUuid createUuid()
- QUuid fromRfc4122(QByteArray arg__1)
- VarUnknown = -1
- NCS = 0
- DCE = 2
- Microsoft = 6
- Reserved = 7
- Variant( value )
- VerUnknown = -1
- Time = 1
- EmbeddedPOSIX = 2
- Name = 3
- Random = 4
- Version( value )

### Prototype Object Properties

- bool isNull()
- bool operator_equal(QUuid orig)
- bool operator_less(QUuid other)
- void readFrom(QDataStream arg__1)
- QByteArray toByteArray()
- QByteArray toRfc4122()
- String toString()
- Variant variant()
- Version version()
- void writeTo(QDataStream arg__1)

### Instance Properties

QUuid objects have no special properties beyond those inherited from the QUuid prototype object.